Name:           xtrkcad
Version:        5.1.2a
Release:        1%{?dist}
Summary:        CAD program for designing Model Railroad layouts

Group:          Applications/Engineering
License:        GPLv2+
URL:            http://www.xtrkcad.org/
Source0:        http://download.sourceforge.net/%{name}-fork/%{name}-source-%{version}.tar.gz
#Source0:        http://download.sourceforge.net/%{name}-fork/%{name}-source-%{version}beta4.tar.gz
#Source0:        %{name}-%{version}-beta2.tar.gz
Source1:        %{name}.desktop
Patch1:         %{name}-4.4.0-tests.patch

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  gtk2-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  doxygen


%description
XTrackCAD is a CAD program for designing Model Railroad layouts.
XTrackCAD supports any scale, has libraries of popular brands of x
turnouts and sectional track (plus you add your own easily), can
automatically use spiral transition curves when joining track
and has extensive on-line help and demonstrations.
XTrackCad lets you manipulate track much like you would with actual
flex-track to modify, extend and join tracks and turnouts.
Additional features include tunnels, 'post-it' notes, on-screen
ruler, parts list, 99 drawing layers, undo/redo commands,
benchwork, 'Print to BitMap', elevations, train simulation and
car inventory.


%prep
%setup -q -n %{name}-source-%{version}
%patch1 -p1


%build
mkdir build
pushd build
%{cmake} -DBUILD_SHARED_LIBS:BOOL=OFF ..
make %{?_smp_mflags}
popd


%install
pushd build
make install DESTDIR=$RPM_BUILD_ROOT
popd

# install our desktop file
desktop-file-install                                    \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        %{SOURCE1}


%find_lang %{name}


%files -f %{name}.lang
%doc app/COPYING app/lib/Readme.md
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Wed Oct 25 2017 Dan Horák <dan[at]danny.cz> - 4.3.0-1
- updated to 4.3.0

* Sun Apr 27 2014 Dan Horák <dan[at]danny.cz> - 4.2.0-0.2.beta1
- fix FTBFS with -Werror=format-security

* Wed Mar 28 2012 Dan Horák <dan[at]danny.cz> - 4.2.0-0.1.beta1
- updated to 4.2.0-beta1

* Mon Apr 19 2010 Dan Horák <dan[at]danny.cz> - 4.0.3a-1
- initial Fedora version
